SET NOCOUNT ON;

INSERT INTO yahoo.QuoteSummaryETF
    ( [LoadDate]
    , [LoadTime]
    , [MarketDate]
    , [MarketTime]
    , [Symbol]
    , [legalType]
    , [fundFamily]
    , [category]
    , [ytdReturn]
    , [ytdReturn_fmt]
    , [beta3Year]
    , [beta3Year_fmt]
    , [totalAssets]
    , [totalAssets_fmt]
    , [yield]
    , [yield_fmt]
    , [fundInceptionDate]
    , [fundInceptionDate_fmt]
    , [threeYearAverageReturn]
    , [threeYearAverageReturn_fmt]
    , [fiveYearAverageReturn]
    , [fiveYearAverageReturn_fmt]
    )
SELECT
    t.[LoadDate]
    , t.[LoadTime]
    , t.[MarketDate]
    , t.[MarketTime]
    , t.[Symbol]
    , t.[legalType]
    , t.[fundFamily]
    , t.[category]
    , t.[ytdReturn]
    , t.[ytdReturn_fmt]
    , t.[beta3Year]
    , t.[beta3Year_fmt]
    , t.[totalAssets]
    , t.[totalAssets_fmt]
    , t.[yield]
    , t.[yield_fmt]
    , t.[fundInceptionDate]
    , t.[fundInceptionDate_fmt]
    , t.[threeYearAverageReturn]
    , t.[threeYearAverageReturn_fmt]
    , t.[fiveYearAverageReturn]
    , t.[fiveYearAverageReturn_fmt]
FROM
    (
    SELECT
        [LoadDate] AS [LoadDate]
        , [LoadTime] AS [LoadTime]
        , [MarketDate] AS [MarketDate]
        , [MarketTime] AS [MarketTime]
        , [Symbol] AS [Symbol]
        , [legalType] AS [legalType]
        , [fundFamily] AS [fundFamily]
        , [category] AS [category]
        , [ytdReturn] AS [ytdReturn]
        , [ytdReturn_fmt] AS [ytdReturn_fmt]
        , [beta3Year] AS [beta3Year]
        , [beta3Year_fmt] AS [beta3Year_fmt]
        , [totalAssets] AS [totalAssets]
        , [totalAssets_fmt] AS [totalAssets_fmt]
        , [yield] AS [yield]
        , [yield_fmt] AS [yield_fmt]
        , [fundInceptionDate] AS [fundInceptionDate]
        , [fundInceptionDate_fmt] AS [fundInceptionDate_fmt]
        , [threeYearAverageReturn] AS [threeYearAverageReturn]
        , [threeYearAverageReturn_fmt] AS [threeYearAverageReturn_fmt]
        , [fiveYearAverageReturn] AS [fiveYearAverageReturn]
        , [fiveYearAverageReturn_fmt] AS [fiveYearAverageReturn_fmt]
    FROM
        OPENROWSET(
            BULK 'C:\MarketData\csv\YahooQuoteSummaryETF.csv',
            FORMATFILE = 'C:\MarketData\bin\YahooQuoteSummaryETF.fmt',
            CODEPAGE = '1252',
            FIRSTROW = 2) t
    ) t
    LEFT OUTER JOIN yahoo.QuoteSummaryETF d
        ON d.Symbol = t.Symbol COLLATE SQL_Latin1_General_CP1_CI_AS AND d.LoadDate = t.LoadDate AND d.LoadTime = t.LoadTime
WHERE
    d.Symbol IS NULL
